QGIS Application - Bug report #3602
QGIS OSGEOA4W crashes while creating a new GRASS mapset on both 1.6 and trunk
2011-03-13 06:05 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13661
Description

This is really weird, and it doesn't happen on both Linux and QGIS standalone.

I'm also positive that until a few weeks ago this wasn't an issue also on OSGEO4W.

I have tested the following behavior on both XP and Seven, QGIS 1.6 and Trunk:

*) install QGIS OSGeo4W with the GRASS plugin

*) hit the button to create a new mapset

*) in the first step select the GRASS database

*) in the second step select "new location" and enter a name

) in third step is asked for the coordinate system: select "projection". You have then 3 ways to select the projection.
Browsing the list and selecting a projection doesn't seems to create problems. Searching a projection by name or by id
*CAN crash QGIS. If you search for (examples) "4326" or "20790" no problem, but try search for "3003" or "3763" or "ETRS" and QGIS
will CRASH.

*) the same happens if you choose the projection from the list of the "recently used coordinate reference systems": if you choose

(example) "WGS84" no problem on the other hand if among the list you have (example) "ETRS89/Portugal TM06" and you hit it, it causes
instant CRASH.

Associated revisions

Revision 0e61265c - 2011-03-13 08:51 PM - Jiirgen Fischer

fix #3602

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15465 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 8391d1a8 - 2011-03-13 08:51 PM - Jiirgen Fischer

fix #3602

git-svn-id: http://svn.osgeo.org/qgis/trunk@15465 ¢8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2011-03-13 12:54 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

probably due to GRASS linked with GDAL 1.7 and QGIS linked with 1.8 on OSGeo4W. commit:8391d1a8 (SVN r15466) now passes the CRS in WKT
instead of passing a OGRSpatialReferenceH.

#2 - 2011-03-14 03:34 AM - Giovanni Manghi

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

now QGIS instant crashes when clicking "next" after having entered the name of the new location.

It happens under windows Seven but not under XP... damn.

Can the fix for the first reported problem be backported to qgis 1.6?

#3 - 2011-03-14 06:02 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

Replying to [comment:3 lutra]:

now QGIS instant crashes when clicking "next" after having entered the name of the new location.

I made a clean install, removing everything, cleaning the registry and installa again everything and now it works...

Can the fix for the first reported problem be backported to qgis 1.6?

It would really be nive to have the fix for the original problem be backported. Thanks.

#4 - 2011-04-03 04:30 AM - Markus Neteler

Please backport this to QGIS 1.6.
